cancel
Showing results for 
Search instead for 
Did you mean: 

Can not upgrade to 1.9.3.3

Can not upgrade to 1.9.3.3

I started the process of upgrading magento from 1.8 to 1.9.3.3 and I used downloader for this it.

At the end of the process I saw this error :

 

ONNECT ERROR: Failed to open file /home/unitedbro/public_html/downloader/.cache/community/Interface_Adminhtml_Default-1.9.3.3/app/design/adminhtml/default/default/template/downloadable/sales/order/invoice/create/items/renderer
Failed to open file /home/unitedbro/public_html/downloader/.cache/community/Interface_Frontend_Rwd_Default-1.9.3.3/app/design/frontend/rwd/default/template/configurableswatches/catalog/product/view/type/options/conf

 

and I see this error in error_log :

 

[26-Jun-2017 16:03:06 UTC] PHP Fatal error: Call to a member function isLockExists() on a non-object in /home/unitedbro/public_html/app/code/core/Mage/Index/Model/Lock.php on line 257

 

I tried clearing cache but it didn't help.

 

1 REPLY

Re: Can not upgrade to 1.9.3.3

Hi, if you are unable to get the downloader to work, you could try downloading 1.9.3.3 manually from magento.com and moving the files into place instead. You will need to ensure that you don't delete folders/files from customisations that you need to keep. 

----
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution" as appropriate. Thanks!